2018-10-17 08:11 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005420Talerexchangepublic2018-09-15 11:06
ReporterFlorian Dold 
Assigned ToFeideus 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version0.6Fixed in Version0.6 
Summary0005420: LDADDs in Makefile.am files should reference la files in the build directory
DescriptionInstead of

-ltalertesting

it must be

$(top_builddir)/src/exchange-lib/libtalertesting.la

for all libraries that are part of the respective source tree.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013212

Christian Grothoff (manager)

Florian, did you just fix this one in c30bb0008d4aeabe88a29fef3059333b2fd8a6b0? Or is the fix incomplete?

~0013216

Florian Dold (manager)

It's fixed fully in some subsequent commits, there were also issues with -ltaler* in the configure.ac file.
+Notes

-Issue History
Date Modified Username Field Change
2018-08-06 15:44 Florian Dold New Issue
2018-08-06 15:44 Florian Dold Status new => assigned
2018-08-06 15:44 Florian Dold Assigned To => Feideus
2018-08-06 15:45 Florian Dold Summary LDADDs in Makefile.am files should reference la files in the source directory => LDADDs in Makefile.am files should reference la files in the build directory
2018-08-16 13:20 Christian Grothoff Note Added: 0013212
2018-08-16 17:28 Florian Dold Note Added: 0013216
2018-08-16 17:28 Florian Dold Status assigned => resolved
2018-08-16 17:28 Florian Dold Resolution open => fixed
2018-09-15 11:06 Christian Grothoff Fixed in Version => 0.6
2018-09-15 11:06 Christian Grothoff Target Version => 0.6
+Issue History